Skip to content

Read a member's factor status in the selected tenant

GET
/v1/users/{id}/totp
curl --request GET \
--url https://example.com/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/totp \
--header 'Authorization: Bearer <token>'

Returns a member’s factor status in the selected tenant. Foreign accounts return not found. Requires membership read authority.

id
required
string format: uuid
X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

OK

Media type application/json
object
activated_at
string format: date-time
algorithm
string
digits
integer
enrolled
required
boolean
period
integer
recovery_codes_remaining
required
integer
seed_hint
string
Example generated
{
"activated_at": "2026-04-15T12:00:00Z",
"algorithm": "example",
"digits": 1,
"enrolled": true,
"period": 1,
"recovery_codes_remaining": 1,
"seed_hint": "example"
}

Request refused

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Request refused

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Request refused

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Request refused

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Request refused

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Request refused

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Request refused

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}